# Graph目录可视化

Foam 带有笔记的图形可视化。
输入`Foam: Show Graph`命令查看图表。

## 图形导航

使用图表，你可以：

- 通过将鼠标悬停在节点上来突出显示它，以快速查看它是如何连接到你的笔记的其余部分的
- 通过单击节点来选择一个或多个（通过在选择时按住`shift`键）节点，以更好地理解笔记的结构
- 按下`ctrl`或`cmd`的同时点击它，导航到一个笔记
- 自动将当前的笔记放在图的中心，以立即查看其连接

## 自定义图形样式

默认情况下，泡沫图将使用 VS Code 主题，但可以使用 `foam.graph.style` 设置对其进行自定义。

下面提供了一个示例配置对象，你可以根据需要提供任意数量的配置：

```json
"foam.graph.style": {
    "background": "#202020",
    "fontSize": 12,
    "highlightedForeground": "#f9c74f",
    "node": {
        "note": "#277da1",
        "placeholder": "#545454",
        "feature": "green",
    }
}
```

- `note` 定义了常规节点的颜色
- `placeholder` 定义与任何现有笔记不匹配的链接的颜色。 这是一个 [[placeholder]] 因为不存在具有这样名称的文件（请参阅 [[维基链接]] 了解更多信息）。
- `feature` 显示了如何使用笔记类型自定义图表的示例。 它定义了`feature`类型的笔记的颜色
  - 详见 [[笔记属性]]
  - 你可以拥有任意数量的类型
